System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter To be added

is a class that can be used to convert objects from one data type to another. Access this class through the object.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  This method returns true only if is equal to a byte array.

  Determines whether this can convert an instance of a specified type to an , using the specified context.

  This method returns true if this can perform the conversion; otherwise, false.

  An that provides a format context. A that specifies the type you want to convert from. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  This method returns true only if is equal to a byte array or string.

  Determines whether this can convert an to an instance of a specified type, using the specified context.

  This method returns true if this can perform the conversion; otherwise, false.

  An that provides a format context. A that specifies the type you want to convert to. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` To be added

  Converts a specified object to an .

  If this method succeeds, it returns the that it created by converting the specified object. Otherwise, it throws an exception.

  An that provides a format context. A that holds information about a specific culture. The to be converted. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` ``

  The most common type conversion is to and from a string type. The default implementation calls the method of the object if the object is valid and if the destination type is string. If this method cannot convert the specified object to the destination type, it throws a exception.

  Converts an (or an object that can be cast to an ) to the specified type.

  This method returns the converted object.

  A formatter context. This object can be used to get more information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. A object that specifies formatting conventions used by a particular culture. The to convert. The to convert the to. 1.0.5000.0 2.0.0.0
- Method
  System.ComponentModel.PropertyDescriptorCollection `` `` ``

  By default, a type does not return any properties. An easy implementation of this method calls the method for the correct data type.

  Gets the set of properties for this type.

  The set of properties that should be exposed for this data type. If no properties should be exposed, this can return null. The default implementation always returns null.

  A type descriptor through which additional context can be provided. The value of the object to get the properties for. An array of objects that describe the properties. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether this object supports properties. By default, this is false.

  This method returns true if the method should be called to find the properties of this object.

  A type descriptor through which additional context can be provided. 1.0.5000.0 2.0.0.0